import { TemplateRef, ViewContainerRef } from "@angular/core";
/** @ignore */
export declare class TabHeadingCustomTemplateRefDirective {
    viewRef: ViewContainerRef;
    protected _viewRef: ViewContainerRef;
    protected _tabHeadingCustomTemplateRef: TemplateRef<any>;
    set nuiTabHeadingCustomTemplateRef(templateRef: TemplateRef<any>);
    get nuiTabHeadingCustomTemplateRef(): TemplateRef<any>;
    constructor(viewRef: ViewContainerRef);
}
